List Inventory
The “List Inventory API allows the user to retrieve a paginated list of inventory items. Use this endpoint to fetch details for multiple items in the inventory based on the provided query parameters.
GET
/
products
/
inventory
List Inventory
curl --request GET \
--url https://services.leadconnectorhq.com/products/inventory \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/products/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/inventory"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"inventory": [
{
"_id": "6241712be68f7a98102ba272",
"name": "Medium T-shirt",
"availableQuantity": 50,
"sku": "TSHIRT-MED-001",
"allowOutOfStockPurchases": false,
"product": "6241712be68f7a98102ba270",
"updatedAt": "2023-12-12T09:27:42.355Z",
"image": "https://example.com/images/product.jpg",
"productName": "T-shirt"
}
],
"total": {
"total": 100
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Query Parameters
Last modified on March 8, 2026
Was this page helpful?
List Inventory
curl --request GET \
--url https://services.leadconnectorhq.com/products/inventory \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/products/inventory', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/products/inventory"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text){
"inventory": [
{
"_id": "6241712be68f7a98102ba272",
"name": "Medium T-shirt",
"availableQuantity": 50,
"sku": "TSHIRT-MED-001",
"allowOutOfStockPurchases": false,
"product": "6241712be68f7a98102ba270",
"updatedAt": "2023-12-12T09:27:42.355Z",
"image": "https://example.com/images/product.jpg",
"productName": "T-shirt"
}
],
"total": {
"total": 100
}
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}